> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Record Measurements

> Record a batch of measurement values for a patient.



## OpenAPI

````yaml post /user/patient/custom-measurement
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/custom-measurement:
    post:
      tags:
        - Patient Measurements
      summary: Record Measurements
      description: Record a batch of measurement values for a patient.
      operationId: record_measurements_user_patient_custom_measurement_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MeasurementRecordCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/MeasurementValueSummary'
                type: array
                title: >-
                  Response Record Measurements User Patient Custom Measurement
                  Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
components:
  schemas:
    MeasurementRecordCreate:
      properties:
        patientId:
          type: string
          title: Patientid
        measurementDate:
          type: string
          format: date-time
          title: Measurementdate
        values:
          items:
            $ref: '#/components/schemas/MeasurementValueCreate'
          type: array
          title: Values
        noteId:
          anyOf:
            - type: string
            - type: 'null'
          title: Noteid
        eventId:
          anyOf:
            - type: string
            - type: 'null'
          title: Eventid
        weight:
          anyOf:
            - type: number
            - type: 'null'
          title: Weight
        height:
          anyOf:
            - type: number
            - type: 'null'
          title: Height
        systolicBp:
          anyOf:
            - type: number
            - type: 'null'
          title: Systolicbp
        diastolicBp:
          anyOf:
            - type: number
            - type: 'null'
          title: Diastolicbp
        pulse:
          anyOf:
            - type: number
            - type: 'null'
          title: Pulse
        temperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Temperature
        waistCircumference:
          anyOf:
            - type: number
            - type: 'null'
          title: Waistcircumference
      type: object
      required:
        - patientId
        - measurementDate
      title: MeasurementRecordCreate
    MeasurementValueSummary:
      properties:
        id:
          type: string
          title: Id
        fieldId:
          type: string
          title: Fieldid
        fieldName:
          type: string
          title: Fieldname
        numericValue:
          anyOf:
            - type: number
            - type: 'null'
          title: Numericvalue
        textValue:
          anyOf:
            - type: string
            - type: 'null'
          title: Textvalue
        arrayValue:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Arrayvalue
        measurementDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Measurementdate
        outcome:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Outcome
        computedDetail:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Computeddetail
        isDerived:
          type: boolean
          title: Isderived
          default: false
        isUserReported:
          type: boolean
          title: Isuserreported
          default: false
        isLabSourced:
          type: boolean
          title: Islabsourced
          default: false
        totalChange:
          anyOf:
            - type: number
            - type: 'null'
          title: Totalchange
        recentChange:
          anyOf:
            - type: number
            - type: 'null'
          title: Recentchange
        trendDirection:
          anyOf:
            - type: string
            - type: 'null'
          title: Trenddirection
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        groupIds:
          items:
            type: string
          type: array
          title: Groupids
          default: []
        goal:
          anyOf:
            - $ref: '#/components/schemas/MeasurementGoalSchema'
            - $ref: '#/components/schemas/ComputedMeasurementGoalSchema'
            - type: 'null'
          title: Goal
      type: object
      required:
        - id
        - fieldId
        - fieldName
      title: MeasurementValueSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MeasurementValueCreate:
      properties:
        fieldId:
          type: string
          title: Fieldid
        numericValue:
          anyOf:
            - type: number
            - type: 'null'
          title: Numericvalue
        textValue:
          anyOf:
            - type: string
            - type: 'null'
          title: Textvalue
        arrayValue:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Arrayvalue
      type: object
      required:
        - fieldId
      title: MeasurementValueCreate
    MeasurementGoalSchema:
      properties:
        isComputed:
          type: boolean
          title: Iscomputed
          default: false
        id:
          type: string
          title: Id
        patientId:
          type: string
          title: Patientid
        fieldId:
          type: string
          title: Fieldid
        goalValue:
          anyOf:
            - type: number
            - type: 'null'
          title: Goalvalue
        goalMin:
          anyOf:
            - type: number
            - type: 'null'
          title: Goalmin
        goalMax:
          anyOf:
            - type: number
            - type: 'null'
          title: Goalmax
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
        creatorId:
          anyOf:
            - type: string
            - type: 'null'
          title: Creatorid
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        isArchived:
          type: boolean
          title: Isarchived
          default: false
      type: object
      required:
        - id
        - patientId
        - fieldId
      title: MeasurementGoalSchema
    ComputedMeasurementGoalSchema:
      properties:
        isComputed:
          type: boolean
          const: true
          title: Iscomputed
          default: true
        goalValue:
          type: number
          title: Goalvalue
        fieldId:
          type: string
          title: Fieldid
      type: object
      required:
        - goalValue
        - fieldId
      title: ComputedMeasurementGoalSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````